/* <strings.h>
 *
 *	This file should not be used; use ANSI <string.h> instead.
 *
 *	This file is specified in X/OPEN as different to string.h
 */
/*
 * 17-Dec-1998	J. Malmberg	Added strncasecmp for DEC C RTL
 * 22-Dec-1998	J. Malmberg	Updated for X/OPEN
*/
#ifndef _STRINGS_H
#define _STRINGS_H
# ifdef __cplusplus
extern "C" {
# endif

#if !defined(_SIZE_T) && !defined(_SIZE_T_) && !defined(__SIZE_T)
typedef unsigned int size_t;
#endif				/* Used for sizes of objects */
#ifndef _SIZE_T
#define _SIZE_T
#endif
#ifndef _SIZE_T_
#define _SIZE_T_
#endif
#ifndef __SIZE_T
#define __SIZE_T 1
#endif

			/* note: not the same as <string.h> */
#ifdef __STDC__
/*
   Where <string.h> uses size_t, we use unsigned here.

   Not all of these routines are present in VAXCRTL.  The declarations
   here are to assist in porting Unix code to VMS.  Some are in GCCLIB.
 */
char	*strncpy(char *__dst, const char *__src, unsigned __cnt);
char	*strncat(char *__dst, const char *__src, unsigned __cnt);
int	 strncmp(const char *__lft, const char *__rgt, unsigned __cnt);
unsigned strlen(const char *__str);
char	*strcpy(char *__dst, const char *__src);
char	*strcat(char *__dst, const char *__src);
int	 strcmp(const char *__lft, const char *__rgt);
 /* X/OPEN has none of the above here - in string.h instead */


int	 strcasecmp(const char *lft, const char *__rgt);
int	 strncasecmp(const char * s1, const char * s2, size_t n);
char	*index(const char *__str, int __chr);
char	*rindex(const char *__str, int __chr);

#ifndef NO_BFUNCS
/* BSD byte-stream manipulation routines */
#ifndef bcopy
void	 bcopy(const char *, char *, unsigned);
#endif
#ifndef bcmp
int	 bcmp(const char *, const char *, unsigned);
#endif
#ifndef bzero
void	 bzero(char *, unsigned);
#endif
#ifndef ffs
int	 ffs(int);
#endif
#endif	/*!NO_BFUNCS*/

#else	/*!__STDC__ => -traditional */

unsigned strlen();
int	 strcmp(), strncmp(), strcasecmp(); strncasecmp();
char	*strcpy(), *strcat(), *strncpy(), *strncat();
char	*index(), *rindex();

#ifndef NO_BFUNCS
#ifndef bcopy
void	 bcopy();
#endif
#ifndef bcmp
int	 bcmp();
#endif
#ifndef bzero
void	 bzero();
#endif
#ifndef ffs
int	 ffs();
#endif
#endif	/*!NO_BFUNCS*/

#endif	/*?__STDC__*/

# ifdef __cplusplus
}
# endif
#endif	/*_STRINGS_H*/
